## retro-gtk 0.16.0

=== meson_options.txt ===
# Documentation and introspection
option('introspection', type: 'boolean', value: 'true',
  description : 'Build introspection data (requires gobject-introspection)')

# Demos and binaries
option('demos', type: 'boolean', value: 'true',
  description : 'Build demo programs')
option('build-tests', type: 'boolean', value: 'true',
  description : 'Build tests')
option('install-tests', type: 'boolean', value: 'false',
  description : 'Install tests')

## retro-gtk 0.10.0

=== debian/changelog ===
retro-gtk (0.10.0-1) unstable; urgency=low

  * Initial release (Closes: #857509) (LP: #1669687)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Apr 2017 15:04:27 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: retro-gtk
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               gobject-introspection,
               gtk-doc-tools (>= 1.24-2),
               intltool,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.44),
               libgtk-3-dev (>= 3.20),
               libtool-bin,
               libpulse-dev,
               valac,
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Apps/Games
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/retro-gtk.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/retro-gtk.git/

Package: libretro-gtk0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: library for GTK libretro frontends
 retro-gtk is a library for developers to make GTK frontends for the libretro
 API.
 .
 libretro is an API for the creation of games and emulators. The emulators
 and platforms are distributed as "libretro cores".
 .
 Therefore, a developer can use retro-gtk to make a gaming app that should
 be able to play any game that can be played using libretro cores.

Package: libretro-gtk-0.10-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gir1.2-retro-gtk-0.10 (= ${binary:Version}),
         libgtk-3-dev,
         libpulse-dev,
Description: library for GTK libretro frontends - development files
 retro-gtk is a library for developers to make GTK frontends for the libretro
 API.
 .
 libretro is an API for the creation of games and emulators. The emulators
 and platforms are distributed as "libretro cores".
 .
 Therefore, a developer can use retro-gtk to make a gaming app that should
 be able to play any game that can be played using libretro cores.
 .
 This package contains the development files.

Package: gir1.2-retro-gtk-0.10
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for retro-gtk
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## retro-gtk 0.12.1

=== debian/changelog ===
retro-gtk (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Set Architecture to build on Linux only
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 30 Sep 2017 08:45:15 -0400

retro-gtk (0.12.0-3) unstable; urgency=medium

  * Add Breaks/Replaces: libretro-gtk0.10-dev to libretro-gtk-0.12-dev
    (Closes: #875873)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Sep 2017 08:51:44 -0400

retro-gtk (0.12.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Sep 2017 11:14:07 -0400

retro-gtk (0.12.0-1) experimental; urgency=medium

  * New upstream release
  * Rename libretro-gtk-0.10-dev to libretro-gtk-0.12-dev and
    gir1.2-retro-gtk-0.10 to gir1.2-retro-0.12
  * debian/libretro-gtk0.symbols: Add and remove (!) symbols.
    The only reverse-depends is gnome-games-app which is updated
    at the same time by the same upstream maintainer.
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 15:03:22 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
                gobject-introspection,
@@ -18,18 +18,18 @@
                libtool-bin,
                libpulse-dev,
                valac,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://wiki.gnome.org/Apps/Games
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/retro-gtk.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/retro-gtk.git/
 
 Package: libretro-gtk0
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-Description: library for GTK libretro frontends
- retro-gtk is a library for developers to make GTK frontends for the libretro
+Description: library for GTK+ libretro frontends
+ retro-gtk is a library for developers to make GTK+ frontends for the libretro
  API.
  .
  libretro is an API for the creation of games and emulators. The emulators
@@ -38,17 +38,19 @@
  Therefore, a developer can use retro-gtk to make a gaming app that should
  be able to play any game that can be played using libretro cores.
 
-Package: libretro-gtk-0.10-dev
+Package: libretro-gtk-0.12-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gir1.2-retro-gtk-0.10 (= ${binary:Version}),
+         gir1.2-retro-0.12 (= ${binary:Version}),
          libgtk-3-dev,
          libpulse-dev,
-Description: library for GTK libretro frontends - development files
- retro-gtk is a library for developers to make GTK frontends for the libretro
+Breaks: libretro-gtk-0.10-dev
+Replaces: libretro-gtk-0.10-dev
+Description: library for GTK+ libretro frontends - development files
+ retro-gtk is a library for developers to make GTK+ frontends for the libretro
  API.
  .
  libretro is an API for the creation of games and emulators. The emulators
@@ -59,9 +61,9 @@
  .
  This package contains the development files.
 
-Package: gir1.2-retro-gtk-0.10
+Package: gir1.2-retro-0.12
 Section: introspection
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends}

## retro-gtk 0.14.0

=== debian/changelog ===
retro-gtk (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Update package names for soname update
  * Build with meson
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Add meson-fix-soname-symlinks.patch to fix
    dev-pkg-without-shlib-symlink warning

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 11:16:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: retro-gtk
@@ -7,23 +7,23 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gobject-introspection,
                gtk-doc-tools (>= 1.24-2),
-               intltool,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.20),
                libtool-bin,
                libpulse-dev,
+               meson (>= 0.43.0),
                valac,
 Standards-Version: 4.1.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/retro-gtk
+Vcs-Git: https://salsa.debian.org/gnome-team/retro-gtk.git
 Homepage: https://wiki.gnome.org/Apps/Games
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/retro-gtk.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/retro-gtk.git/
 
-Package: libretro-gtk0
+Package: libretro-gtk-0.14-0
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -38,17 +38,20 @@
  Therefore, a developer can use retro-gtk to make a gaming app that should
  be able to play any game that can be played using libretro cores.
 
-Package: libretro-gtk-0.12-dev
+Package: libretro-gtk-0.14-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gir1.2-retro-0.12 (= ${binary:Version}),
+         gir1.2-retro-0.14 (= ${binary:Version}),
+         libretro-gtk-0.14-0 (= ${binary:Version}),
          libgtk-3-dev,
          libpulse-dev,
-Breaks: libretro-gtk-0.10-dev
-Replaces: libretro-gtk-0.10-dev
+Breaks: libretro-gtk-0.10-dev,
+        libretro-gtk-0.12-dev
+Replaces: libretro-gtk-0.10-dev,
+          libretro-gtk-0.12-dev
 Description: library for GTK+ libretro frontends - development files
  retro-gtk is a library for developers to make GTK+ frontends for the libretro
  API.
@@ -61,7 +64,7 @@
  .
  This package contains the development files.
 
-Package: gir1.2-retro-0.12
+Package: gir1.2-retro-0.14
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@  --with gnome,gir

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --list-missing

## retro-gtk 0.16.0

=== debian/changelog ===
retro-gtk (0.16.0-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:21:42 -0500

retro-gtk (0.16.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Sep 2018 09:52:34 -0400

retro-gtk (0.15.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop meson-fix-soname-symlinks.patch: applied in new release
  * Run dh_auto_test with xvfb
  * debian/libretro-gtk-0.14-0.symbols: Update.
    Some retro_option* symbols are dropped, but they weren't
    in the public API before this release.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Aug 2018 11:03:22 -0400

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,9 @@
                libpulse-dev,
                meson (>= 0.43.0),
                valac,
-Standards-Version: 4.1.1
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/retro-gtk
 Vcs-Git: https://salsa.debian.org/gnome-team/retro-gtk.git
 Homepage: https://wiki.gnome.org/Apps/Games

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@  --with gnome,gir

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_missing:
	dh_missing --list-missing

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## retro-gtk 0.16.1

=== debian/changelog ===
retro-gtk (0.16.1-1) experimental; urgency=medium

  * New upstream release
  * deiban/libretro-gtk-0.14-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Mar 2019 19:25:57 -0400

## retro-gtk 0.18.0

=== debian/changelog ===
retro-gtk (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libretro-gtk-0.14-0.symbols: Add new symbols
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Bump Standards-Version to 4.4.0
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Sep 2019 20:37:47 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
-               gnome-pkg-tools,
-               gobject-introspection,
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools (>= 1.24-2),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
@@ -20,7 +20,7 @@
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/retro-gtk
 Vcs-Git: https://salsa.debian.org/gnome-team/retro-gtk.git
 Homepage: https://wiki.gnome.org/Apps/Games

## retro-gtk 0.18.1

=== debian/changelog ===
retro-gtk (0.18.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimu meson to 0.50.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Mar 2020 20:55:36 -0400

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libgtk-3-dev (>= 3.20),
                libtool-bin,
                libpulse-dev,
-               meson (>= 0.43.0),
+               meson (>= 0.50.0),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@  --with gnome,gir
+	dh $@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## retro-gtk 1.0.1

=== debian/changelog ===
retro-gtk (1.0.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on libsamplerate0-dev
  * Bump library names for soname bump (0.14 -> 1.0)
  * Bump debhelper-compat to 13
  * Temporarily disable build tests
  * Drop unnecessary dependency of libretro-gtk-1-dev on libpulse-dev
  * Add new retro-runner package for new retro-runner service

  [ Laurent Bigonville ]
  * New upstream release (1.0.1)
  * debian/control.in: Let libretro-gtk-1-0 depends against retro-runner
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 13 Dec 2020 16:01:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                gtk-doc-tools (>= 1.24-2),
@@ -16,20 +16,22 @@
                libgtk-3-dev (>= 3.20),
                libtool-bin,
                libpulse-dev,
+               libsamplerate0-dev,
                meson (>= 0.50.0),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/retro-gtk
 Vcs-Git: https://salsa.debian.org/gnome-team/retro-gtk.git
 Homepage: https://wiki.gnome.org/Apps/Games
 
-Package: libretro-gtk-0.14-0
+Package: libretro-gtk-1-0
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         retro-runner (= ${binary:Version})
 Description: library for GTK+ libretro frontends
  retro-gtk is a library for developers to make GTK+ frontends for the libretro
  API.
@@ -40,20 +42,21 @@
  Therefore, a developer can use retro-gtk to make a gaming app that should
  be able to play any game that can be played using libretro cores.
 
-Package: libretro-gtk-0.14-dev
+Package: libretro-gtk-1-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         gir1.2-retro-0.14 (= ${binary:Version}),
-         libretro-gtk-0.14-0 (= ${binary:Version}),
-         libgtk-3-dev,
-         libpulse-dev,
+         gir1.2-retro-1 (= ${binary:Version}),
+         libretro-gtk-1-0 (= ${binary:Version}),
+         libgtk-3-dev
 Breaks: libretro-gtk-0.10-dev,
-        libretro-gtk-0.12-dev
+        libretro-gtk-0.12-dev,
+        libretro-gtk-0.14-dev
 Replaces: libretro-gtk-0.10-dev,
-          libretro-gtk-0.12-dev
+          libretro-gtk-0.12-dev,
+          libretro-gtk-0.14-dev
 Description: library for GTK+ libretro frontends - development files
  retro-gtk is a library for developers to make GTK+ frontends for the libretro
  API.
@@ -66,7 +69,7 @@
  .
  This package contains the development files.
 
-Package: gir1.2-retro-0.14
+Package: gir1.2-retro-1
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
@@ -77,3 +80,19 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
+
+Package: retro-runner
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: background service for retro-gtk
+ retro-gtk is a library for developers to make GTK+ frontends for the libretro
+ API.
+ .
+ libretro is an API for the creation of games and emulators. The emulators
+ and platforms are distributed as "libretro cores".
+ .
+ Therefore, a developer can use retro-gtk to make a gaming app that should
+ be able to play any game that can be played using libretro cores.
+ .
+ This package contains the background service.

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,11 @@
 %:
 	dh $@
 
+override_dh_auto_configure:
+	dh_auto_configure -- -Ddemos=false
+
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	xvfb-run -a dh_auto_test || true

## retro-gtk 1.0.2

=== meson_options.txt ===
# Demos and binaries
option('demos', type: 'boolean', value: 'true',
  description : 'Build demo programs')
option('build-tests', type: 'boolean', value: 'true',
  description : 'Build tests')
option('install-tests', type: 'boolean', value: 'false',
  description : 'Install tests')

# Documentation and introspection
option('build-doc', type: 'boolean', value: 'false',
  description : 'Build API reference documentation')
option('install-doc', type: 'boolean', value: 'false',
  description : 'Install API reference documentation')
option('introspection', type: 'boolean', value: 'true',
  description : 'Build introspection data (requires gobject-introspection)')
option('vapi', type: 'boolean', value: 'true',
  description : 'Build Vala bindings (requires vapigen and introspection option)')

# Dependencies
option('pulseaudio', type: 'feature', value: 'enabled',
  description : 'Enable audio playback via PulseAudio')

=== debian/changelog ===
retro-gtk (1.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add fix-FTBFS.patch: remove from meson unknown
    arguments that make fail to build (Closes: #998613)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Wed, 15 Dec 2021 15:55:32 +0100

retro-gtk (1.0.2-2) unstable; urgency=medium

  * debian/rules: Simplify a bit
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Aug 2021 22:54:40 -0400

retro-gtk (1.0.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - remove unrequired build-depends on libtool-bin
  * debian/libretro-gtk-1-0.symbols:
    - updated symbol for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Jun 2021 22:02:05 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.20),
-               libtool-bin,
                libpulse-dev,
                libsamplerate0-dev,
                meson (>= 0.50.0),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Ddemos=false

override_dh_auto_test:
	xvfb-run -a dh_auto_test || true
